import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

import { PageSelectlistPage } from './page-selectlist.page';

const routes: Routes = [
  {
    path: '',
    component: PageSelectlistPage
  },
  {
    path: 'page-selectlist-detail/:recipeId',
    loadChildren: () => import('./page-selectlist-detail/page-selectlist-detail.module').then( m => m.PageSelectlistDetailPageModule)
  }

];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class PageSelectlistPageRoutingModule {}
