import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

import { PageCollectionsPage } from './page-collections.page';

const routes: Routes = [
  {
    path: '',
    component: PageCollectionsPage
  },
  {
    path: 'page-collections-detail/:recipeId',
    loadChildren: () => import('./page-collections-detail/page-collections-detail.module').then( m => m.PageCollectionsDetailPageModule)
  }

];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class PageCollectionsPageRoutingModule {}
