import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

import { PageRecordsPage } from './page-records.page';

const routes: Routes = [
  {
    path: '',
    component: PageRecordsPage
  },
  {
    path: 'page-records-detail/:recipeId',
    loadChildren: () => import('./page-records-detail/page-records-detail.module').then( m => m.PageRecordsDetailPageModule)
  }

];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class PageRecordsPageRoutingModule {}
