import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { Tab3Page } from './tab3.page';

const routes: Routes = [
  {
    path: '',
    component: Tab3Page,
  },
  {
    path: 'page-records',
    loadChildren: () => import('./page-records/page-records.module').then( m => m.PageRecordsPageModule)
  },
  {
    path: 'page-collections',
    loadChildren: () => import('./page-collections/page-collections.module').then( m => m.PageCollectionsPageModule)
  }

];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class Tab3PageRoutingModule {}
